﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Drawing;
using System.Windows.Forms;

using MindFusion.Charting;

using Brush = MindFusion.Drawing.Brush;
using SolidBrush = MindFusion.Drawing.SolidBrush;


namespace SqlBinding
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			
			var sampleData = new SampleDataSetTableAdapters.SampleDataTableAdapter();

			//uncomment these two lines if you get SqlCeEngine.Upgrade exception
			//SqlCeEngine engine = new SqlCeEngine(sampleData.Connection.ConnectionString);
			//engine.Upgrade();
		
			// bind to the data table
			areaChart.DataSource = sampleData.GetData();
			areaChart.XDataFields = new ObservableCollection<string> { "X" };
			areaChart.YDataFields = new ObservableCollection<string> { "Y2", "Y1" };

			// specify data range
			areaChart.YAxis.MinValue = 0;
			areaChart.YAxis.MaxValue = 40;
			areaChart.XAxis.Interval = 5;

			// specifiy area colors
			areaChart.AreaOpacity = 0.7;
			areaChart.Theme.CommonSeriesFills = new List<Brush> {
				new SolidBrush(Color.FromArgb(90, 121, 165)), new SolidBrush(Color.FromArgb(206, 0, 0)) };

			areaChart.GridType = GridType.Crossed;
			areaChart.Theme.GridLineColor = Color.LightGray;

			// this forces immediate binding; otherwise DataBoundSeries are created on first paint operation
			areaChart.DataBind();

			// set titles for the legend
			var dbSeries0 = (DataBoundSeries)areaChart.Series[0];
			dbSeries0.Title = "First series";

			var dbSeries1 = (DataBoundSeries)areaChart.Series[1];
			dbSeries1.Title = "Second series";
		}
	}
}
